#ifndef __ac_FIRST__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1__
#define __ac_FIRST__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1__
#define __ac_FIRST_FILE__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_inc_Puma_ACTree_h__

#ifndef __ac_h_
#define __ac_h_
#ifdef __cplusplus
namespace AC {
  typedef const char* Type;
  enum JPType { CALL = 32768, EXECUTION = 65536, CONSTRUCTION = 131072, DESTRUCTION = 262144 };
  enum Protection { PROT_NONE, PROT_PRIVATE, PROT_PROTECTED, PROT_PUBLIC };
  enum Specifiers { SPEC_NONE = 0x0 , SPEC_STATIC = 0x1, SPEC_MUTABLE = 0x2, SPEC_VIRTUAL = 0x4 };
  struct Action {
    void **_args; void *_result; void *_target; void *_that; void *_fptr;
    void (*_wrapper)(Action &);
    inline void trigger () { _wrapper (*this); }
  };
  struct AnyResultBuffer {};
  template <typename T> struct ResultBuffer : public AnyResultBuffer {
    struct { char _array[sizeof (T)]; } _data;
    ~ResultBuffer () { ((T&)_data).T::~T(); }
    operator T& () const { return (T&)_data; }
  };
  template <typename T, typename N> struct TL {
    typedef T type; typedef N next; enum { ARGS = next::ARGS + 1 };
  };
  struct TLE { enum { ARGS = 0 }; };
  template <typename T> struct Referred { typedef T type; };
  template <typename T> struct Referred<T &> { typedef T type; };
  template <typename TL, int I> struct Arg {
    typedef typename Arg<typename TL::next, I - 1>::Type Type;
    typedef typename Referred<Type>::type ReferredType;
  };
  template <typename TL> struct Arg<TL, 0> {
    typedef typename TL::type Type;
    typedef typename Referred<Type>::type ReferredType;
  };
  template <typename T> int ttest(...);
  template <typename T> char ttest(typename T::__TI const volatile *);
  template<typename T> struct HasTypeInfo {
    enum { RET=((sizeof(ttest<T>(0))==1)?1:0) };
  };
  template<typename T, int HAVE = HasTypeInfo<T>::RET> struct TypeInfo {
    enum { AVAILABLE = 0 };
  };
  template<typename T> struct TypeInfo<T, 1> : T::__TI {
    enum { AVAILABLE = 1 };
	 };
  template<typename T> struct RT {};
  template<typename T> RT<T> rt_deduce (const T&) { return RT<T>(); }
  struct Cnv { template<typename T> operator RT<T>() const { return RT<T>(); }};
  #define __AC_TYPEOF(expr) (1?AC::Cnv():AC::rt_deduce(expr))
  template <class Aspect, int Index>
  struct CFlow {
    static int &instance () {
      static int counter = 0;
      return counter;
    }
    CFlow () { instance ()++; }
    ~CFlow () { instance ()--; }
    static bool active () { return instance () > 0; }
  };
}
inline void * operator new (__SIZE_TYPE__, AC::AnyResultBuffer *p) { return p; }
inline void operator delete (void *, AC::AnyResultBuffer *) { } // for VC++
#endif // __cplusplus
#endif // __ac_h_
class CCExprResolve;
class CExprResolve;
class SyntaxState;
class SyntaxBuilder;
class LookAhead;
class CBuilderExtension;
class CLookAhead;
class CSemBinding;
class CCBuilderExtension;
class CCLookAhead;
class CCSemBinding;
class WinIfExists;
class WinImportHandler;
class WinMacros;
class WinAsm;
class WinDeclSpecs;
class WinMemberExplSpec;
class WinTypeKeywords;
class WinFriend;
class WinKeywords;
class ExtAC;
class ExtACBuilderCoupling;
class ExtACSyntaxCoupling;
class ExtACTree;
class ExtACKeywords;
class ExtGnu;
class ExtGnuCTree;
class ExtGnuKeywords;
class ExtCC1X;
class PragmaOnceUnitState;
class PragmaOnce;
#endif // __ac_FIRST__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1__

#line 1 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/ACTree.h"
// This file is part of PUMA.
// Copyright (C) 1999-2003  The PUMA developer team.
//                                                                
// This program is free software;  you can redistribute it and/or 
// modify it under the terms of the GNU General Public License as 
// published by the Free Software Foundation; either version 2 of 
// the License, or (at your option) any later version.            
//                                                                
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of 
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
// GNU General Public License for more details.                   
//                                                                
// You should have received a copy of the GNU General Public      
// License along with this program; if not, write to the Free     
// Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
// MA  02111-1307  USA                                            

#ifndef __ACTree_h__
#define __ACTree_h__

#include "Puma/CTree.h"

/** \file
 *  AspectC++ specific syntax tree classes. */

namespace Puma {


/** \class CT_AdviceDecl ACTree.h Puma/ACTree.h
 *  Tree node representing an advice declaration. 
 *  Example: 
 *  \code 
 * advice "% main(...)" : before() { 
 *   printf('init'); 
 * } 
 *  \endcode */
class CT_AdviceDecl : public CT_Decl {
#line 141 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step2/inc/Puma/ACTree.h"
public:
  template <typename, int = 0> struct __BYPASS_ZN4Puma13CT_AdviceDeclE {};
  template <typename, int> friend struct __BYPASS_ZN4Puma13CT_AdviceDeclE;
private:
#line 38 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/ACTree.h"

  CTree *sons[4]; // advice, pointcut, colon, decl

public:
  /** Constructor.
   *  \param a The keyword 'advice'.
   *  \param p The pointcut expression.
   *  \param c The colon before the advice declaration.
   *  \param d The advice declaration. */
  CT_AdviceDecl (CTree *a, CTree *p, CTree *c, CTree *d) {
    AddSon (sons[0], a); AddSon (sons[1], p);
    AddSon (sons[2], c); AddSon (sons[3], d);
  }
  /** Get the identifier for this node type. Can be compared with NodeName(). */
  static const char *NodeId ();
  /** Get the name of the node. Can be compared with NodeId(). */
  const char *NodeName () const { return NodeId (); }
  /** Get the number of sons. */
  int Sons () const { return 4; }
  /** Get the n-th son.
   *  \param n The index of the son.
   *  \return The n-th son or NULL. */
  CTree *Son (int n) const { return CTree::Son (sons, 4, n); }
  /** Replace a son.
   *  \param old_son The son to replace.
   *  \param new_son The new son. */
  void ReplaceSon (CTree *old_son, CTree *new_son) { 
    CTree::ReplaceSon (sons, 4, old_son, new_son);
  }
  /** Get the pointcut expression. */
  CTree *Pointcut () const { return sons[1]; }
  /** Get the advice declaration. */
  CTree *Decl () const { return sons[3]; }

  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtGnuKeywords;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 71 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/ACTree.h"
};

/** \class CT_OrderList ACTree.h Puma/ACTree.h
 *  Tree node representing an order list. 
 *  Example: \code ( "pointcut1", "pointcut2" ) \endcode */
class CT_OrderList : public CT_List {
#line 220 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step2/inc/Puma/ACTree.h"
public:
  template <typename, int = 0> struct __BYPASS_ZN4Puma12CT_OrderListE {};
  template <typename, int> friend struct __BYPASS_ZN4Puma12CT_OrderListE;
private:
#line 76 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/ACTree.h"

public:
  /** Constructor. */
  CT_OrderList () { AddProperties (SEPARATORS | OPEN_CLOSE); }
  /** Get the identifier for this node type. Can be compared with NodeName(). */
  static const char *NodeId ();
  /** Get the name of the node. Can be compared with NodeId(). */
  const char *NodeName () const { return NodeId (); }

  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtGnuKeywords;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 84 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/ACTree.h"
};

/** \class CT_OrderDecl ACTree.h Puma/ACTree.h
 *  Tree node representing an order declaration. 
 *  Example: \code order("pointcut1","pointcut2") \endcode */
class CT_OrderDecl : public CTree {
#line 274 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step2/inc/Puma/ACTree.h"
public:
  template <typename, int = 0> struct __BYPASS_ZN4Puma12CT_OrderDeclE {};
  template <typename, int> friend struct __BYPASS_ZN4Puma12CT_OrderDeclE;
private:
#line 89 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/ACTree.h"

  CTree *sons[3]; // order, order_list, semi_colon

public:
  /** Constructor.
   *  \param o The keyword 'order'.
   *  \param ol The list of pointcut expressions. 
   *  \param s The trailing semi-colon. */
  CT_OrderDecl (CTree *o, CTree *ol, CTree *s) {
    AddSon (sons[0], o); AddSon (sons[1], ol); AddSon (sons[2], s);
  }
  /** Get the identifier for this node type. Can be compared with NodeName(). */
  static const char *NodeId ();
  /** Get the name of the node. Can be compared with NodeId(). */
  const char *NodeName () const { return NodeId (); }
  /** Get the number of sons. */
  int Sons () const { return 3; }
  /** Get the n-th son.
   *  \param n The index of the son.
   *  \return The n-th son or NULL. */
  CTree *Son (int n) const { return CTree::Son (sons, 3, n); }
  /** Replace a son.
   *  \param old_son The son to replace.
   *  \param new_son The new son. */
  void ReplaceSon (CTree *old_son, CTree *new_son) { 
    CTree::ReplaceSon (sons, 3, old_son, new_son);
  }
  /** Get the list of pointcut expressions. */
  CT_OrderList *OrderList () const { return (CT_OrderList*)sons[1]; }

  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtGnuKeywords;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 118 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/ACTree.h"
};

/** \class CT_PointcutDecl ACTree.h Puma/ACTree.h
 *  Tree node representing a pointcut declaration. 
 *  Example: \code pointcut main() = "% main(...)"; \endcode */
class CT_PointcutDecl : public CT_Decl {
#line 349 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step2/inc/Puma/ACTree.h"
public:
  template <typename, int = 0> struct __BYPASS_ZN4Puma15CT_PointcutDeclE {};
  template <typename, int> friend struct __BYPASS_ZN4Puma15CT_PointcutDeclE;
private:
#line 123 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/ACTree.h"

  CTree *_pointcut;    // CT_Token
  CTree *_decl;

public:
  /** Constructor.
   *  \param p The keyword 'pointcut'.
   *  \param d The pointcut declaration. */
  CT_PointcutDecl (CTree *p, CTree *d) {
    AddSon (_pointcut, p); AddSon (_decl, d);
  }
  /** Get the identifier for this node type. Can be compared with NodeName(). */
  static const char *NodeId ();
  /** Get the name of the node. Can be compared with NodeId(). */
  const char *NodeName () const { return NodeId (); }
  /** Get the number of sons. */
  int Sons () const { return 2; }
  /** Get the n-th son.
   *  \param n The index of the son.
   *  \return The n-th son or NULL. */
  CTree *Son (int n) const { 
    switch (n) { 
      case 0: return _pointcut;
      case 1: return _decl;
      default: return (CTree*)0;
    }
  }
  /** Replace a son.
   *  \param old_son The son to replace.
   *  \param new_son The new son. */
  void ReplaceSon (CTree *old_son, CTree *new_son) { 
    if (old_son == _decl)
      CTree::ReplaceSon (_decl, old_son, new_son); 
    else if (old_son == _pointcut)
      CTree::ReplaceSon (_pointcut, old_son, new_son); 
  }
  /** Get the pointcut declaration. */
  CTree *Decl () const { return _decl; }

  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtGnuKeywords;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 161 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/ACTree.h"
};

/** \class CT_Intro ACTree.h Puma/ACTree.h
 *  Tree node representing an introduction advice declaration.
 *  Example: \code around() \endcode */
class CT_Intro : public CT_List, public CSemScope {
#line 433 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step2/inc/Puma/ACTree.h"
public:
  template <typename, int = 0> struct __BYPASS_ZN4Puma8CT_IntroE {};
  template <typename, int> friend struct __BYPASS_ZN4Puma8CT_IntroE;
private:
#line 166 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/ACTree.h"

  // indices of aspect or slice names in introduction
  Array<int> _name_indices;    // start index
  Array<int> _name_to_indices; // end index
  Array<bool> _name_qual;      // true if the token should be replaced by a qualified name

public:
  /** Get the identifier for this node type. Can be compared with NodeName(). */
  static const char *NodeId ();
  /** Get the name of the node. Can be compared with NodeId(). */
  const char *NodeName () const { return NodeId (); }
  /** Add a name index. 
   *  \param index The name index. */
  void AddNameIndex (int index) {
    _name_indices.append (index);
    _name_to_indices.append (index);
    _name_qual.append (false);
  }
  /** Add a name index.
   *  \param index_from Start index.
   *  \param index_to End index. */
  void AddNameIndex (int index_from, int index_to) {
    _name_indices.append (index_from);
    _name_to_indices.append (index_to);
    _name_qual.append (true);
  }
  /** Roll back the name index to the given position. 
   *  \param pos The position up to which to roll back. */
  void RollbackNameIndex (int pos) {
    for (int i = NameIndices () - 1; i >= 0; i--) {
      if (NameIndex (i) >= pos) {
        _name_indices.remove (i);
        _name_to_indices.remove (i);
        _name_qual.remove (i);
      }
      else
        break;
    }
  }
  /** Get the name indices. */
  int NameIndices () const { return _name_indices.length (); }
  /** Get the start index of the name with the given index.
   *  \param i The index. */
  int NameIndex (int i) const { return _name_indices.lookup (i); }
  /** Get the end index for the name with the given index.
   *  \param i The index. */
  int NameToIndex (int i) const { return _name_to_indices.lookup (i); }
  /** Check if the name at the given index should 
   *  be replaced by a qualified name.
   *  \param i The index. */
  bool NameQual (int i) const { return _name_qual.lookup (i); }

  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtGnuKeywords;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 217 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/ACTree.h"
};

/** \class CT_ClassSliceDecl ACTree.h Puma/ACTree.h
 *  Tree node representing a slice declaration for a class. 
 *  Example: 
 *  \code 
 * slice class X : Y { 
 *   int x; 
 * }; 
 *  \endcode */
class CT_ClassSliceDecl : public CTree, public CSemObject {
#line 535 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step2/inc/Puma/ACTree.h"
public:
  template <typename, int = 0> struct __BYPASS_ZN4Puma17CT_ClassSliceDeclE {};
  template <typename, int> friend struct __BYPASS_ZN4Puma17CT_ClassSliceDeclE;
private:
#line 227 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/ACTree.h"

  CTree *sons[6]; // SLICE? <key>? <name>? <baseclasses>? <members> ;
  
public:
  /** Constructor.
   *  \param sl The keyword 'slice'.
   *  \param k The keyword 'class' or 'struct'.
   *  \param n The name of the class.
   *  \param b The base class list.
   *  \param m The class member declarations list.
   *  \param se The trailing semi-colon. */
  CT_ClassSliceDecl (CTree *sl, CTree *k, CTree *n, CTree *b, CTree *m, CTree *se) {
    AddSon (sons[0], sl); AddSon (sons[1], k); AddSon (sons[2], n);
    AddSon (sons[3], b); AddSon (sons[4], m); AddSon (sons[5], se);
  }
  /** Get the identifier for this node type. Can be compared with NodeName(). */
  static const char *NodeId ();
  /** Get the name of the node. Can be compared with NodeId(). */
  const char *NodeName () const { return NodeId (); }
  /** Get the number of sons. */
  int Sons () const { return CTree::Sons (sons, 6); }
  /** Get the n-th son.
   *  \param n The index of the son.
   *  \return The n-th son or NULL. */
  CTree *Son (int n) const { return CTree::Son (sons, 6, n); }
  /** Replace a son.
   *  \param old_son The son to replace.
   *  \param new_son The new son. */
  void ReplaceSon (CTree *old_son, CTree *new_son) { 
    CTree::ReplaceSon (sons, 6, old_son, new_son);
  }
  /** Get the class keyword, i.e. 'class' or 'struct'. */
  CT_Token *key () const { return (CT_Token*)sons[1]; }
  /** Get the name of the class. */
  CT_SimpleName *name () const { return (CT_SimpleName*)sons[2]; }
  /** Get the base class list. */
  CT_Intro *base_clause () const { return (CT_Intro*)sons[3]; }
  /** Get the class member declarations list. */
  CT_Intro *members () const { return (CT_Intro*)sons[4]; }

  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtGnuKeywords;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 266 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/ACTree.h"
};

/** \class CT_SliceRef ACTree.h Puma/ACTree.h
 *  Tree node representing a slice reference. 
 *  Example: \code slice X; \endcode */
class CT_SliceRef : public CTree {
#line 620 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step2/inc/Puma/ACTree.h"
public:
  template <typename, int = 0> struct __BYPASS_ZN4Puma11CT_SliceRefE {};
  template <typename, int> friend struct __BYPASS_ZN4Puma11CT_SliceRefE;
private:
#line 271 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/ACTree.h"

  CTree *sons[3];
  
public:
  /** Constructor.
   *  \param sl The keyword 'slice'.
   *  \param n The name of the slice.
   *  \param se The trailing semi-colon. */
  CT_SliceRef (CTree *sl, CTree *n, CTree *se) {
    AddSon (sons[0], sl); AddSon (sons[1], n); AddSon (sons[2], se);
  }
  /** Get the identifier for this node type. Can be compared with NodeName(). */
  static const char *NodeId ();
  /** Get the name of the node. Can be compared with NodeId(). */
  const char *NodeName () const { return NodeId (); }
  /** Get the number of sons. */
  int Sons () const { return 3; }
  /** Get the n-th son.
   *  \param n The index of the son.
   *  \return The n-th son or NULL. */
  CTree *Son (int n) const { return CTree::Son (sons, 3, n); }
  /** Replace a son.
   *  \param old_son The son to replace.
   *  \param new_son The new son. */
  void ReplaceSon (CTree *old_son, CTree *new_son) { 
    CTree::ReplaceSon (sons, 3, old_son, new_son);
  }
  /** Get the name of the slice. */
  CT_SimpleName *name () const { return (CT_SimpleName*)sons[1]; }

  friend class ::CCExprResolve;
  friend class ::CExprResolve;
  friend class ::SyntaxState;
  friend class ::SyntaxBuilder;
  friend class ::LookAhead;
  friend class ::CBuilderExtension;
  friend class ::CLookAhead;
  friend class ::CSemBinding;
  friend class ::CCBuilderExtension;
  friend class ::CCLookAhead;
  friend class ::CCSemBinding;
  friend class ::WinIfExists;
  friend class ::WinImportHandler;
  friend class ::WinMacros;
  friend class ::WinAsm;
  friend class ::WinDeclSpecs;
  friend class ::WinMemberExplSpec;
  friend class ::WinTypeKeywords;
  friend class ::WinFriend;
  friend class ::WinKeywords;
  friend class ::ExtAC;
  friend class ::ExtACBuilderCoupling;
  friend class ::ExtACSyntaxCoupling;
  friend class ::ExtACTree;
  friend class ::ExtACKeywords;
  friend class ::ExtGnu;
  friend class ::ExtGnuCTree;
  friend class ::ExtGnuKeywords;
  friend class ::ExtCC1X;
  friend class ::PragmaOnceUnitState;
  friend class ::PragmaOnce;

#line 300 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step1/inc/Puma/ACTree.h"
};


} // namespace Puma

#endif /* __ACTree_h__ */

#line 696 "/builddir/build/BUILD/libpuma-1.2/aspectc++/Puma/gen-release/step2/inc/Puma/ACTree.h"

#ifdef __ac_FIRST_FILE__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_inc_Puma_ACTree_h__
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCExprResolveCC_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCExprResolveCC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCExprResolveCC_ah__
#include "Puma/CCExprResolveCC.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCExprResolveH_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCExprResolveH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCExprResolveH_ah__
#include "Puma/CCExprResolveH.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CExprResolveCC_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CExprResolveCC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CExprResolveCC_ah__
#include "Puma/CExprResolveCC.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CExprResolveH_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CExprResolveH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CExprResolveH_ah__
#include "Puma/CExprResolveH.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxState_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxState_ah__
#include "Puma/SyntaxState.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#include "Puma/ExtAC.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_LookAhead_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_LookAhead_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_LookAhead_ah__
#include "Puma/LookAhead.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CBuilderExtension_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CBuilderExtension_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CBuilderExtension_ah__
#include "Puma/CBuilderExtension.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CLookAhead_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CLookAhead_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CLookAhead_ah__
#include "Puma/CLookAhead.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CSemBinding_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CSemBinding_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CSemBinding_ah__
#include "Puma/CSemBinding.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#include "Puma/ExtAC.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#include "Puma/ExtACBuilderH.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCBuilderExtension_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCBuilderExtension_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCBuilderExtension_ah__
#include "Puma/CCBuilderExtension.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#include "Puma/ExtACBuilderH.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCLookAhead_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCLookAhead_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCLookAhead_ah__
#include "Puma/CCLookAhead.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCSemBinding_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_LookAhead_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_LookAhead_ah__
#include "Puma/LookAhead.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CLookAhead_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CLookAhead_ah__
#include "Puma/CLookAhead.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CSemBinding_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CSemBinding_ah__
#include "Puma/CSemBinding.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCLookAhead_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCLookAhead_ah__
#include "Puma/CCLookAhead.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCSemBinding_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_CCSemBinding_ah__
#include "Puma/CCSemBinding.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinAsm_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinAsm_ah__
#include "Puma/WinAsm.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinDeclSpecs_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinDeclSpecs_ah__
#include "Puma/WinDeclSpecs.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#include "Puma/WinMemberExplSpec.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinTypeKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinTypeKeywords_ah__
#include "Puma/WinTypeKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinFriend_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinFriend_ah__
#include "Puma/WinFriend.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#include "Puma/ExtAC.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#include "Puma/ExtACBuilderH.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACSyntaxH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACSyntaxH_ah__
#include "Puma/ExtACSyntaxH.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinIfExists_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinIfExists_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinIfExists_ah__
#include "Puma/WinIfExists.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinImportHandler_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinImportHandler_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinImportHandler_ah__
#include "Puma/WinImportHandler.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinMacros_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinMacros_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinMacros_ah__
#include "Puma/WinMacros.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinAsm_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinAsm_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinAsm_ah__
#include "Puma/WinAsm.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinDeclSpecs_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinDeclSpecs_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinDeclSpecs_ah__
#include "Puma/WinDeclSpecs.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinMemberExplSpec_ah__
#include "Puma/WinMemberExplSpec.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinTypeKeywords_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinTypeKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinTypeKeywords_ah__
#include "Puma/WinTypeKeywords.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinFriend_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinFriend_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinFriend_ah__
#include "Puma/WinFriend.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_SyntaxBuilder_ah__
#include "Puma/SyntaxBuilder.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtAC_ah__
#include "Puma/ExtAC.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderH_ah__
#include "Puma/ExtACBuilderH.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderCC_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderCC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACBuilderCC_ah__
#include "Puma/ExtACBuilderCC.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACSyntaxH_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACSyntaxH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACSyntaxH_ah__
#include "Puma/ExtACSyntaxH.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACSyntaxCC_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACSyntaxCC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACSyntaxCC_ah__
#include "Puma/ExtACSyntaxCC.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCInfos_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCInfos_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCInfos_ah__
#include "Puma/ExtGnuCInfos.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemantic_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemantic_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemantic_ah__
#include "Puma/ExtGnuCSemantic.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemExpr_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemExpr_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemExpr_ah__
#include "Puma/ExtGnuCSemExpr.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemDeclSpecs_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemDeclSpecs_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCSemDeclSpecs_ah__
#include "Puma/ExtGnuCSemDeclSpecs.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XBuilderH_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XBuilderH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XBuilderH_ah__
#include "Puma/ExtCC1XBuilderH.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XBuilderCC_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XBuilderCC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XBuilderCC_ah__
#include "Puma/ExtCC1XBuilderCC.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSyntaxH_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSyntaxH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSyntaxH_ah__
#include "Puma/ExtCC1XSyntaxH.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSyntaxCC_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSyntaxCC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSyntaxCC_ah__
#include "Puma/ExtCC1XSyntaxCC.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSemanticH_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSemanticH_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSemanticH_ah__
#include "Puma/ExtCC1XSemanticH.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSemanticCC_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_WinKeywords_ah__
#include "Puma/WinKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACTree_ah__
#include "Puma/ExtACTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtACKeywords_ah__
#include "Puma/ExtACKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnu_ah__
#include "Puma/ExtGnu.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuCTree_ah__
#include "Puma/ExtGnuCTree.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtGnuKeywords_ah__
#include "Puma/ExtGnuKeywords.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1X_ah__
#include "Puma/ExtCC1X.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSemanticCC_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_ExtCC1XSemanticCC_ah__
#include "Puma/ExtCC1XSemanticCC.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#endif
#ifdef __ac_need__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnce_ah__
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnceUnitState_ah__
#include "Puma/PragmaOnceUnitState.ah"
#endif
#ifndef __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnce_ah__
#define __ac_have__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_aspects_Puma_PragmaOnce_ah__
#include "Puma/PragmaOnce.ah"
#endif
#endif
#undef __ac_FIRST__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1__
#undef __ac_FIRST_FILE__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_inc_Puma_ACTree_h__
#endif // __ac_FIRST_FILE__builddir_build_BUILD_libpumaX451_2_aspectcX43X43_Puma_genX45release_step1_inc_Puma_ACTree_h__
